Subject: [bug#54560] [PATCH 04/47] gnu: go-github-com-prometheus-client-golang: Update to 1.12.1.

From: Leo Nikkilä <[email-masked]>
Date: Fri, 25 Mar 2022 22:55:47 +0000

> Why is the 'build phase deleted?

> Is ignoring tests still necessary?

Looks like you're right, I was able to use the default build phases with these packages locally, after minor tweaks. I believe I followed the pattern from the existing packages earlier, seems it's unnecessary.

> Returning #t from phases is not necessary anymore.  I'm wondering, did
> you find this in some documentation floating around somewhere or
> something?

Old habit, I learned this when this was still common. Will remove these.

> This looks Linux-specific.

Thank you, it is.